Skip to main content
`Ctrl`+`K`

# KSPMonitorDynamicToleranceSetCoefficient

Sets the coefficient in the context used by `KSPMonitorDynamicTolerance()`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorDynamicToleranceSetCoefficient(PetscCtx ctx, PetscReal coeff)

Logically Collective

## Output Parameters

- ctx - the context for `KSPMonitorDynamicTolerance()`

- coeff - the coefficient, default is 1.0

## Options Database Key

- -sub_ksp_dynamic_tolerance coef - coefficient of dynamic tolerance for inner solver, default is 1.0

## Note

Use before calling `KSPMonitorSet()` and after `KSPMonitorDynamicToleranceCreate()`

## See Also

Flexible Krylov Methods, `KSP`, `KSPMonitorDynamicTolerance()`, `KSPMonitorDynamicToleranceDestroy()`, `KSPMonitorDynamicToleranceCreate()`

## Level

advanced

## Location

src/ksp/ksp/interface/iterativ.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages